apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: my-homarr-config
  namespace: homarr
  annotations:
    argocd.argoproj.io/sync-wave: "1"
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: longhorn
  volumeName: pvc-465c3082-ffe0-4b14-bc80-83fca45ed661
  resources:
    requests:
      storage: 10Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: my-homarr-icons
  namespace: homarr
  annotations:
    argocd.argoproj.io/sync-wave: "1"
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: longhorn
  volumeName: pvc-7eaba3dd-5617-46bc-b424-b9343b5037a5
  resources:
    requests:
      storage: 10Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: my-homarr-data
  namespace: homarr
  annotations:
    argocd.argoproj.io/sync-wave: "1"
    meta.helm.sh/release-name: my-homarr
    meta.helm.sh/release-namespace: homarr
  labels:
    app: homarr-8.0.4
    app.kubernetes.io/instance: my-homarr
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: homarr
    app.kubernetes.io/version: 0.14.2
    helm-revision: "1"
    helm.sh/chart: homarr-8.0.4
    release: my-homarr
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: local-path
  volumeName: pvc-7be0df84-5f5e-4d9e-9595-b844f177ec54
  resources:
    requests:
      storage: 100Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: my-homarr-data-longhorn
  namespace: homarr
  annotations:
    argocd.argoproj.io/sync-wave: "1"
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: longhorn
  volumeName: pvc-da97d43f-fa5c-4155-bd49-a621fc360c36
  resources:
    requests:
      storage: 500Mi
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: my-homarr
  namespace: homarr
  labels:
    app: homarr-8.0.4
    app.kubernetes.io/instance: my-homarr
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: homarr
    app.kubernetes.io/version: 0.14.2
    helm-revision: "1"
    helm.sh/chart: homarr-8.0.4
    release: my-homarr
  annotations:
    argocd.argoproj.io/sync-wave: "3"
    meta.helm.sh/release-name: my-homarr
    meta.helm.sh/release-namespace: homarr
spec:
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app.kubernetes.io/instance: my-homarr
      app.kubernetes.io/name: homarr
      pod.name: main
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        rollme: BZS6c
      labels:
        app: homarr-8.0.4
        app.kubernetes.io/instance: my-homarr
        app.kubernetes.io/managed-by: Helm
        app.kubernetes.io/name: homarr
        app.kubernetes.io/version: 0.14.2
        helm-revision: "1"
        helm.sh/chart: homarr-8.0.4
        pod.name: main
        release: my-homarr
    spec:
      automountServiceAccountToken: false
      dnsConfig:
        options:
          - name: ndots
            value: "1"
      dnsPolicy: ClusterFirst
      enableServiceLinks: false
      nodeSelector:
        kubernetes.io/arch: amd64
        kubernetes.io/hostname: mbrkanov-mini-it13
      securityContext:
        fsGroup: 568
        fsGroupChangePolicy: OnRootMismatch
        supplementalGroups:
          - 568
      serviceAccountName: default
      shareProcessNamespace: false
      terminationGracePeriodSeconds: 60
      containers:
        - name: my-homarr
          image: ghcr.io/ajnart/homarr:0.14.2@sha256:3f2389f69db8b497c32c843d44f26afefb4e47b8e7954d0c43c372713d617ed7
          imagePullPolicy: IfNotPresent
          env:
            - name: TZ
              value: UTC
            - name: UMASK
              value: "0022"
            - name: UMASK_SET
              value: "0022"
            - name: S6_READ_ONLY_ROOT
              value: "1"
            - name: NEXTAUTH_SECRET
              valueFrom:
                secretKeyRef:
                  name: my-homarr-homarr-secrets
                  key: NEXTAUTH_SECRET
          ports:
            - name: main
              containerPort: 7575
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: 7575
              scheme: HTTP
            initialDelaySeconds: 10
            periodSeconds: 10
            timeoutSeconds: 5
            failureThreshold: 5
          readinessProbe:
            httpGet:
              path: /
              port: 7575
              scheme: HTTP
            initialDelaySeconds: 10
            periodSeconds: 10
            timeoutSeconds: 5
            successThreshold: 2
            failureThreshold: 5
          startupProbe:
            tcpSocket:
              port: 7575
            initialDelaySeconds: 10
            periodSeconds: 5
            timeoutSeconds: 2
            failureThreshold: 60
          resources:
            requests:
              cpu: 10m
              memory: 50Mi
            limits:
              cpu: "4"
              memory: 8Gi
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
                - ALL
            privileged: false
            readOnlyRootFilesystem: true
            runAsGroup: 568
            runAsNonRoot: true
            runAsUser: 568
            seccompProfile:
              type: RuntimeDefault
          volumeMounts:
            - name: config
              mountPath: /app/data/configs
            - name: data
              mountPath: /data
            - name: devshm
              mountPath: /dev/shm
            - name: icons
              mountPath: /app/public/icons
            - name: shared
              mountPath: /shared
            - name: tmp
              mountPath: /tmp
            - name: varlogs
              mountPath: /var/logs
            - name: varrun
              mountPath: /var/run
      volumes:
        - name: config
          persistentVolumeClaim:
            claimName: my-homarr-config
        - name: data
          persistentVolumeClaim:
            claimName: my-homarr-data-longhorn
        - name: devshm
          emptyDir:
            medium: Memory
            sizeLimit: 8Gi
        - name: icons
          persistentVolumeClaim:
            claimName: my-homarr-icons
        - name: shared
          emptyDir: {}
        - name: tmp
          emptyDir:
            medium: Memory
            sizeLimit: 8Gi
        - name: varlogs
          emptyDir:
            medium: Memory
            sizeLimit: 8Gi
        - name: varrun
          emptyDir:
            medium: Memory
            sizeLimit: 8Gi
---
apiVersion: v1
kind: Service
metadata:
  name: my-homarr
  namespace: homarr
  labels:
    app: homarr-8.0.4
    app.kubernetes.io/instance: my-homarr
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: homarr
    app.kubernetes.io/version: 0.14.2
    helm-revision: "1"
    helm.sh/chart: homarr-8.0.4
    release: my-homarr
    service.name: main
  annotations:
    argocd.argoproj.io/sync-wave: "4"
    meta.helm.sh/release-name: my-homarr
    meta.helm.sh/release-namespace: homarr
spec:
  type: NodePort
  externalTrafficPolicy: Cluster
  internalTrafficPolicy: Cluster
  ports:
    - name: main
      protocol: TCP
      port: 10245
      targetPort: 7575
      nodePort: 30718
  selector:
    app.kubernetes.io/instance: my-homarr
    app.kubernetes.io/name: homarr
    pod.name: main
